Package org.apache.tools.ant.taskdefs.optional.extension

# Class JarLibDisplayTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.extension.JarLibDisplayTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class JarLibDisplayTask
    extends Task

Displays the "Optional Package" and "Package Specification" information contained within the specified JARs.

Prior to JDK1.3, an "Optional Package" was known as an Extension. The specification for this mechanism is available in the JDK1.3 documentation in the directory $JDK_HOME/docs/guide/extensions/versioning.html. Alternatively it is available online at https://docs.oracle.com/javase/8/docs/technotes/guides/extensions/versioning.html.

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`JarLibDisplayTask()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addFileset​(FileSet fileSet)` | Adds a set of files about which library data will be displayed.
`void` | `execute()` | Execute the task.
`void` | `setFile​(java.io.File file)` | The JAR library to display information for.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JarLibDisplayTask

public JarLibDisplayTask()

## Method Details

### setFile

public void setFile​(java.io.File file)
The JAR library to display information for.

Parameters:
  `file` - The jar library to display information for.

### addFileset

public void addFileset​(FileSet fileSet)
Adds a set of files about which library data will be displayed.

Parameters:
  `fileSet` - a set of files about which library data will be displayed.

### execute

public void execute() throws BuildException
Execute the task.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the task fails.